package com.pcloud.book.applet.dao.impl;

import com.pcloud.book.applet.dao.AppletBannerDao;
import com.pcloud.book.applet.entity.AppletBanner;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class AppletBannerDaoImpl extends BaseDaoImpl<AppletBanner> implements AppletBannerDao {

    @Override
    public Integer getMaxSeq(Long agentId) {
        Map<String, Object>map = new HashMap<>();
        map.put("agentId", agentId);
        return getSessionTemplate().selectOne(getStatement("getMaxSeq"), map);
    }
}
